#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './BaseDlgStopAction.ui'
**
** Created by User Interface Compiler
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "BaseDlgStopAction.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a BaseDlgStopAction as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
BaseDlgStopAction::BaseDlgStopAction( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "BaseDlgStopAction" );
    setSizeGripEnabled( FALSE );

    QWidget* privateLayoutWidget = new QWidget( this, "Layout1" );
    privateLayoutWidget->setGeometry( QRect( 10, 130, 480, 33 ) );
    Layout1 = new QHBoxLayout( privateLayoutWidget, 0, 6, "Layout1"); 

    m_pButtonHelp = new QPushButton( privateLayoutWidget, "m_pButtonHelp" );
    m_pButtonHelp->setAutoDefault( TRUE );
    Layout1->addWidget( m_pButtonHelp );
    Horizontal_Spacing2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    Layout1->addItem( Horizontal_Spacing2 );

    m_pButtonOk = new QPushButton( privateLayoutWidget, "m_pButtonOk" );
    m_pButtonOk->setAutoDefault( TRUE );
    m_pButtonOk->setDefault( TRUE );
    Layout1->addWidget( m_pButtonOk );

    m_pButtonCancel = new QPushButton( privateLayoutWidget, "m_pButtonCancel" );
    m_pButtonCancel->setAutoDefault( TRUE );
    Layout1->addWidget( m_pButtonCancel );

    m_pButtonGroup = new QButtonGroup( this, "m_pButtonGroup" );
    m_pButtonGroup->setGeometry( QRect( 10, 20, 480, 90 ) );

    m_pRadioKill = new QRadioButton( m_pButtonGroup, "m_pRadioKill" );
    m_pRadioKill->setGeometry( QRect( 20, 50, 105, 21 ) );

    m_pRadioGraceful = new QRadioButton( m_pButtonGroup, "m_pRadioGraceful" );
    m_pRadioGraceful->setGeometry( QRect( 20, 20, 440, 21 ) );
    m_pRadioGraceful->setChecked( TRUE );
    languageChange();
    resize( QSize(500, 176).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( m_pButtonOk, SIGNAL( clicked() ), this, SLOT( accept() ) );
    connect( m_pButtonCancel, SIGNAL( clicked() ), this, SLOT( reject() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
BaseDlgStopAction::~BaseDlgStopAction()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void BaseDlgStopAction::languageChange()
{
    setCaption( tr2i18n( "Stop Action" ) );
    m_pButtonHelp->setText( tr2i18n( "&Help" ) );
    m_pButtonHelp->setAccel( QKeySequence( tr2i18n( "F1" ) ) );
    m_pButtonOk->setText( tr2i18n( "&OK" ) );
    m_pButtonOk->setAccel( QKeySequence( QString::null ) );
    m_pButtonCancel->setText( tr2i18n( "&Cancel" ) );
    m_pButtonCancel->setAccel( QKeySequence( QString::null ) );
    m_pButtonGroup->setTitle( QString::null );
    m_pRadioKill->setText( tr2i18n( "&Kill process" ) );
    m_pRadioKill->setAccel( QKeySequence( tr2i18n( "Alt+K" ) ) );
    m_pRadioGraceful->setText( tr2i18n( "Graceful shutdo&wn (Ctrl-C)" ) );
    m_pRadioGraceful->setAccel( QKeySequence( tr2i18n( "Alt+W" ) ) );
}

#include "BaseDlgStopAction.moc"
